import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# planner plan get

Retrieves information about the specified plan

## Usage

```sh
m365 planner plan get [options]
```

## Options

```md definition-list
`-i, --id [id]`
: ID of the plan. Specify either `id`, `title` or `rosterId` but not multiple.

`-t, --title [title]`
: Title of the plan. Specify either `id`, `title` or `rosterId` but not multiple.

`--rosterId [rosterId]`
: ID of the Planner Roster. Specify either `id`, `title` or `rosterId` but not multiple.

`--ownerGroupId [ownerGroupId]`
: ID of the Group that owns the plan. Specify either `ownerGroupId` or `ownerGroupName` when using `title` but not both.

`--ownerGroupName [ownerGroupName]`
: Name of the Group that owns the plan. Specify either `ownerGroupId` or `ownerGroupName` when using `title` but not both.
```

<Global />

## Remarks

:::warning

When using `rosterId`, the command is based on an API that is currently in preview and is subject to change once the API reached general availability.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions                      |
  |-----------------|----------------------------------|
  | Microsoft Graph | Tasks.Read, GroupMember.Read.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions                          |
  |-----------------|--------------------------------------|
  | Microsoft Graph | Tasks.Read.All, GroupMember.Read.All |

  </TabItem>
</Tabs>

## Examples

Returns the Microsoft Planner plan by id.

```sh
m365 planner plan get --id "gndWOTSK60GfPQfiDDj43JgACDCb"
```

Returns the Microsoft Planner plan by title and owner group id.

```sh
m365 planner plan get --title "MyPlan" --ownerGroupId "233e43d0-dc6a-482e-9b4e-0de7a7bce9b4"
```

Returns the Microsoft Planner plan by title and owner group name.

```sh
m365 planner plan get --title "MyPlan" --ownerGroupName "My Planner Group"
```

Returns the Microsoft Planner plan by roster id.

```sh
m365 planner plan get --rosterId "FeMZFDoK8k2oWmuGE-XFHZcAEwtn"
```

## Response

<Tabs>
  <TabItem value="JSON">

  ```json
  {
    "createdDateTime": "2015-03-30T18:36:49.2407981Z",
    "owner": "ebf3b108-5234-4e22-b93d-656d7dae5874",
    "title": "My Planner Plan",
    "id": "xqQg5FS2LkCp935s-FIFm2QAFkHM",
    "createdBy": {
      "user": {
        "displayName": null,
        "id": "95e27074-6c4a-447a-aa24-9d718a0b86fa"
      },
      "application": {
        "displayName": null,
        "id": "ebf3b108-5234-4e22-b93d-656d7dae5874"
      }
    },
    "container": {
      "containerId": "ebf3b108-5234-4e22-b93d-656d7dae5874",
      "type": "group",
      "url": "https://graph.microsoft.com/v1.0/groups/ebf3b108-5234-4e22-b93d-656d7dae5874"
    },
    "sharedWith": {
      "ebf3b108-5234-4e22-b93d-656d7dae5874": true,
      "6463a5ce-2119-4198-9f2a-628761df4a62": true
    },
    "categoryDescriptions": {
      "category1": null,
      "category2": null,
      "category3": null,
      "category4": null,
      "category5": null,
      "category6": null,
      "category7": null,
      "category8": null,
      "category9": null,
      "category10": null,
      "category11": null,
      "category12": null,
      "category13": null,
      "category14": null,
      "category15": null,
      "category16": null,
      "category17": null,
      "category18": null,
      "category19": null,
      "category20": null,
      "category21": null,
      "category22": null,
      "category23": null,
      "category24": null,
      "category25": null
    }
  }
  ```

  </TabItem>
  <TabItem value="Text">

  ```text
  categoryDescriptions: {"category1":null,"category10":null,"category11":null,"category12":null,"category13":null,"category14":null,"category15":null,"category16":null,"category17":null,"category18":null,"category19":null,"category2":null,"category20":null,"category21":null,"category22":null,"category23":null,"category24":null,"category25":null,"category3":null,"category4":null,"category5":null,"category6":null,"category7":null,"category8":null,"category9":null}
  container           : {"containerId":"ebf3b108-5234-4e22-b93d-656d7dae5874","type":"group","url":"https://graph.microsoft.com/v1.0/groups/ebf3b108-5234-4e22-b93d-656d7dae5874"}
  createdBy           : {"application":{"displayName":null,"id":"ebf3b108-5234-4e22-b93d-656d7dae5874"},"user":{"displayName":null,"id":"95e27074-6c4a-447a-aa24-9d718a0b86fa"}}
  createdDateTime     : 2015-03-30T18:36:49.2407981Z
  id                  : xqQg5FS2LkCp935s-FIFm2QAFkHM
  owner               : ebf3b108-5234-4e22-b93d-656d7dae5874
  sharedWith          : {"6463a5ce-2119-4198-9f2a-628761df4a62":true,"ebf3b108-5234-4e22-b93d-656d7dae5874":true}
  title               : My Planner Plan
  ```

  </TabItem>
  <TabItem value="CSV">

  ```csv
  id,title,createdDateTime,owner
  xqQg5FS2LkCp935s-FIFm2QAFkHM,My Planner Plan,2015-03-30T18:36:49.2407981Z,ebf3b108-5234-4e22-b93d-656d7dae5874
  ```

  </TabItem>
  <TabItem value="Markdown">

  ```md
  # planner plan get --id "xqQg5FS2LkCp935s-FIFm2QAFkHM"

  Date: 27/12/2022

  ## My Planner Plan (xqQg5FS2LkCp935s-FIFm2QAFkHM)

  Property | Value
  ---------|-------
  createdDateTime | 2015-03-30T18:36:49.2407981Z
  owner | ebf3b108-5234-4e22-b93d-656d7dae5874
  title | My Planner Plan
  id | xqQg5FS2LkCp935s-FIFm2QAFkHM
  ```

  </TabItem>
</Tabs>
